/*******************************************************************************
 * FoxWeapon_BotTargeterBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeapon_BotTargeterBase extends FoxWeapon_HardSuitTargeterBase
    native(Weapon)
    config(Targeter)
    hidecategories(Navigation);

var const localized string BotName;

reliable server function ServerSetFinalSpawnLocation(Vector NewSpawnLocation)
{
    ConsumeAmmo(0);
    SpawnHardSuit(NewSpawnLocation, -Instigator.Location - NewSpawnLocation);
    //return;    
}

function SpawnHardSuit(const Vector Loc, const Vector Rot)
{
    local FoxPawn_DeployablePawnBase DeployablePawn;

    // End:0x97
    foreach WorldInfo.AllPawns(class'FoxPawn_DeployablePawnBase', DeployablePawn)
    {
        // End:0x96
        if(Instigator.PlayerReplicationInfo == DeployablePawn.OwningPlayerPRI)
        {
            DeployablePawn.Suicide();
        }        
    }    
    DeployablePawn = FoxPawn_DeployablePawnBase(FoxGame(WorldInfo.Game).SpawnAIBotByProviderName('DeployableBot', Loc, rotator(Rot),, Instigator.GetTeamNum(), Instigator.PlayerReplicationInfo.SquadIdx, false, false));
    DeployablePawn.OwningPlayerPRI_ID = FoxPRI(Instigator.PlayerReplicationInfo).PlayerID;
    DeployablePawn.OwningPlayerPRI = FoxPRI(Instigator.PlayerReplicationInfo);
    DeployablePawn.OwningPlayer = FoxPC(Instigator.Controller);
    FoxGame(WorldInfo.Game).PerformTeamSwitch(DeployablePawn.Controller, Instigator.GetTeamNum());
    DeployablePawn.PlayerReplicationInfo.SetPlayerName(Instigator.PlayerReplicationInfo.PlayerName $ BotName);
    PlayAkEvent(SuccessfulCallEvent);
    //return;    
}

defaultproperties
{
    DropHeight=48.0
    begin object name=TargetMesh0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxWeapon_BotTargeterBase.TargetMesh0'
    TargetMeshComponent=TargetMesh0
    begin object name=TargetCenterMesh0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxWeapon_BotTargeterBase.TargetCenterMesh0'
    TargetCenterMeshComponent=TargetCenterMesh0
    TargetHoloMeshMIC=MaterialInstanceConstant'Default__FoxWeapon_BotTargeterBase.HoloMIC0'
    begin object name=HaloComp class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxWeapon_BotTargeterBase.HaloComp'
    TargetHalo=HaloComp
    FireFeedbackWaveform=ForceFeedbackWaveform'Default__FoxWeapon_BotTargeterBase.ForceFeedbackWaveformFire'
    TightAimCameraShake=CameraShake'Default__FoxWeapon_BotTargeterBase.Shake0'
    NormalCameraShake=CameraShake'Default__FoxWeapon_BotTargeterBase.Shake1'
    MuzzleFlashLight=PointLightComponent'Default__FoxWeapon_BotTargeterBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.14239940
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeapon_BotTargeterBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=WeaponMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeapon_BotTargeterBase.WeaponMesh'
    Mesh=WeaponMesh
    begin object name=HaloComp class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxWeapon_BotTargeterBase.HaloComp'
    Components(0)=HaloComp
    begin object name=TargetMesh0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxWeapon_BotTargeterBase.TargetMesh0'
    Components(1)=TargetMesh0
    begin object name=TargetCenterMesh0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxWeapon_BotTargeterBase.TargetCenterMesh0'
    Components(2)=TargetCenterMesh0
}